Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PropertyDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.SystemObjectDefinition
              oracle.ifs.beans.PropertyDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class PropertyDefinition

extends SystemObjectDefinition

A PropertyDefinition is used to hold the specification of a Property value associated with a PropertyBundle.

The PropertyDefinition are assigned to PropertyBundleDefinition either to create a new PropertyBundle or to modify an existing one. Methods are provided to set the name & value of the Property.

See Also:
  `Property`, Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`PropertyDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`PropertyDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`int` | `getDataType()` Gets the data type of the new Property.
`java.lang.String` | `getName()` Gets the Name of the new Property that was set via setName().
`AttributeValue` | `getValue()` Gets the value of the new Property.
`void` | `setName(java.lang.String name)` Sets the Name of the new Property.
`void` | `setValue(AttributeValue av)` Sets the value and data type of the new Property.

Methods inherited from class oracle.ifs.beans.SystemObjectDefinition
`addCategoryDefinition, addCategoryDefinitionForUpdate, addCategoryDefinitions, addCategoryForDelete, getCategoriesForDelete, getCategoryDefinitions, getCategoryDefinitionsForUpdate, getCreateCategoriesServerSideOption, removeCategoriesForDelete, removeCategoryDefinitions, removeCategoryDefinitionsForUpdate, setCategoryDefinitions, setCreateCategoriesServerSideOption, toSystemObjectDefinition, toSystemObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyDefinition

    public PropertyDefinition(LibrarySessionInterface session)
                       throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be Property.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### PropertyDefinition

    public PropertyDefinition(LibrarySessionInterface session,
                              java.lang.String className)
                       throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getDataType

    public final int getDataType()
                          throws IfsException

  Description copied from class: `PropertyDefinition`
  Gets the data type of the new Property.

  Equivalent to:

       AttributeValue av = getValue();
       return (av == null) ?
           Attribute.ATTRIBUTEDATATYPE_UNKNOWN :
           av.getInteger(getSession());

  Returns:
    the data type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getValue

    public final AttributeValue getValue()
                                  throws IfsException

  Description copied from class: `PropertyDefinition`
  Gets the value of the new Property.

  This method returns an AttributeValue that represents the value of the Property. A null value is returned if this PropertyDefinition is being used to remove a Property from an existing PropertyBundle. In this case, a name will still have to be set, via setName(), to specify which Property is to be removed.

  Returns:
    the value, or null if this instance is being used to remove a Property
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public void setValue(AttributeValue av)
                  throws IfsException

  Description copied from class: `PropertyDefinition`
  Sets the value and data type of the new Property.

  Parameters:
    `av` - the AttributeValue containing the new value; implies the data type.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getName

    public java.lang.String getName()
                             throws IfsException

  Description copied from class: `PropertyDefinition`
  Gets the Name of the new Property that was set via setName().

  Overrides:
    `getName` in class `LibraryObjectDefinition`
  Returns:
    The name of the Property
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setName

    public void setName(java.lang.String name)
                 throws IfsException

  Description copied from class: `PropertyDefinition`
  Sets the Name of the new Property. This override ensures that the NAME attribute setting is consistent with the Name value in the AttributeValue.

  Overrides:
    `setName` in class `LibraryObjectDefinition`
  Parameters:
    `name` - The name to be used for the new instance.
  Throws:
    `IfsException` - if operation fails.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD